/*
 * Globals.h - global definitions.
 *
 * Copyright (C) 1992, Christoph Streit (streit@iam.unibe.ch)
 * All rights reserved.
 *
 * This software may be freely copied, modified, and redistributed
 * provided that this copyright notice is preserved on all copies.
 *
 * You may not distribute this software, in whole or in part, as part of
 * any commercial product without the express consent of the authors.
 *
 * There is no warranty or other guarantee of fitness of this software
 * for any purpose.  It is provided solely "as is".
 *
 */

#ifndef GLOBALS_H
# define GLOBALS_H

#include <math.h>
#include "rcString.h"

#define CPP_NAME "/usr/lib/cpp"

// Name of color file.
#define defaultColorFile  "colors.def"

// Name of environment variable, which indicates the location and the name
// of the color file.
#define COLOR_ENV  "COLORFILE"

extern "C" void srand48(long);
extern "C" double drand48();

typedef double real;
//typedef float real;

const real EPSILON = 0.00001;

typedef void* anyPtr;
inline real dtor(real degree) { return degree*M_PI/180.0; }
inline real rtod(real rad)    { return rad*180.0/M_PI; }
inline int  equal(real a, real b) { return fabs(a-b) < 0.000001; }

#endif // GLOBALS_H
